Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.PSecHandle

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.PSecHandle

Direct Known Subclasses:
  Sspi.PSecHandle.ByReference

Enclosing interface:
  Sspi

    public static class Sspi.PSecHandle

extends com.sun.jna.Structure

A pointer to a SecHandle

Nested Class Summary
`static class` | `Sspi.PSecHandle.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`Sspi.SecHandle.ByReference` | `secHandle` The first entry in an array of SecPkgInfo structures.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.PSecHandle()`
`Sspi.PSecHandle(Sspi.SecHandle h)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### secHandle

    public Sspi.SecHandle.ByReference secHandle

  The first entry in an array of SecPkgInfo structures.

Constructor Detail

### Sspi.PSecHandle

    public Sspi.PSecHandle()

### Sspi.PSecHandle

    public Sspi.PSecHandle(Sspi.SecHandle h)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD